=== modified file 'bzrlib/tests/blackbox/test_check.py'
--- bzrlib/tests/blackbox/test_check.py	2008-03-03 11:01:40 +0000
+++ bzrlib/tests/blackbox/test_check.py	2008-03-03 13:47:06 +0000
@@ -45,10 +45,16 @@
         tree = self.make_branch_and_tree('.')
         tree.commit('foo')
         out, err = self.run_bzr('check --repo')
-        self.assertStartsWith(err, "Checking repository at '")
+        self.assertContainsRe(err, r"^Checking repository at '.*'\.\n"
+                                   r"checked repository.*\n"
+                                   r"     1 revisions\n"
+                                   r"     0 file-ids\n"
+                                   r"     0 unique file texts\n"
+                                   r"     0 repeated file texts\n"
+                                   r"     0 unreferenced text versions$")
 
     def test_check_tree(self):
         tree = self.make_branch_and_tree('.')
         tree.commit('foo')
         out, err = self.run_bzr('check --tree')
-        self.assertStartsWith(err, "Checking working tree at '")
+        self.assertContainsRe(err, r"^Checking working tree at '.*'\.\n$")

